MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029631Open CASCADE[OCCT] OCCT:Samplespublic2018-03-23 10:302018-06-29 21:19
Reporternds 
Assigned Tonds 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029631: Samples: build AndroidQt sample together with OCCT on Windows platform
DescriptionAndroidQt sample should be compiled if:

- BUILD_MODULE_QtSamples flag is switched ON,
- Qt5 is used,
- platform is Windows.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0029643closedbugmaster Samples - create .bat files for building AndroidQt sample on Windows platform 

-  Notes
(0074798)
git (administrator)
2018-03-23 10:36

Branch CR29631 has been created by nds.

SHA-1: 26811eec0e41562db291649bf61e83713df88f2c


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 10:36:07 2018 +0300

    0029631: Samples: build AndroidQt sample together with OCCT on Windows platform
    
    - _WIN32 definition provides functionality for sample on Windows
    - CMake procedure is changed to have Qt5_FOUND variable defined before compilation modules. Searching of Qt packages is moved into qt.cmake.
(0074801)
kgv (developer)
2018-03-23 11:07

-    message (STATUS "Info: AndroidQt sample excluded due to Qt5 or GLES2 usage are disabled")

+    message (STATUS "Info: AndroidQt sample excluded due to Qt5 usage is disabled or not Windows 
platform")

So it is disabled or not Windows platform?

+#ifdef __ANDROID__
+#include "AndroidQt_Window.h"
+#endif
..
+#ifdef _WIN32
+  #include <WNT_Window.hxx>
+#endif
..
+#ifdef _WIN32
+#include <OSD_Environment.hxx>
+#endif

What for theses ifdefs for including headers which are always available?

+#ifdef __ANDROID__
   myView->SetWindow (aWindow, (Aspect_RenderingContext )anEglContext);
+#else
+  myView->SetImmediateUpdate (Standard_False);
+  myView->SetWindow (aWindow, (Aspect_RenderingContext )aRendCtx);
+#endif

Why ::SetImmediateUpdate() is not set for Android?
(0074802)
git (administrator)
2018-03-23 11:11

Branch CR29631 has been updated by nds.

SHA-1: 64fba71ebcefc5a801df61b9256f98ea97212e63


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 11:11:39 2018 +0300

    # set predefined window size for Windows platform
    
    # correct size of "Open" icon on windows to extend viewer working area. It is possible due to icon size is [96,96]

(0074810)
git (administrator)
2018-03-23 11:56

Branch CR29631 has been updated by nds.

SHA-1: 6496428d6f0810f8a326f38b89ca44a2a923bf1b


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 11:56:16 2018 +0300

    # code improvement on review

(0074811)
nds (developer)
2018-03-23 11:57

Please, review.

Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29631-master-NDS/ [^]
(0074813)
git (administrator)
2018-03-23 12:16

Branch CR29631 has been updated by nds.

SHA-1: 6ea12b0fca1669b237b19c338ad3b83421d89d98


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 12:16:44 2018 +0300

    # add SetImmediateUpdate(Standard_False) to avoid unnecessary redraws.

(0074816)
git (administrator)
2018-03-23 12:47

Branch CR29631 has been updated by nds.

SHA-1: edd350f03d865e4846e2ff29b1caef044446045f


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 12:47:20 2018 +0300

    # code improvement

(0074817)
git (administrator)
2018-03-23 12:52

Branch CR29631_1 has been created by nds.

SHA-1: 9ce43c59cb2b9a477e6d5601b7032b6d5a76dfcb


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 10:36:07 2018 +0300

    0029631: Samples: build AndroidQt sample together with OCCT on Windows platform
    
    - _WIN32 definition provides functionality for sample on Windows
    - CMake procedure is changed to have Qt5_FOUND variable defined before compilation modules. Searching of Qt packages is moved into qt.cmake.
(0074824)
kgv (developer)
2018-03-23 14:30

Please consider additional remarks.
(0074827)
git (administrator)
2018-03-23 15:14

Branch CR29631_1 has been updated by nds.

SHA-1: 7f88b573a6ecba403c100db894c84b14aaea908b


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 15:14:34 2018 +0300

    # code improvement on remarks

(0074828)
kgv (developer)
2018-03-23 15:16

Please test the patch.
(0074830)
git (administrator)
2018-03-23 15:25

Branch CR29631_1 has been updated by nds.

SHA-1: 9828b74c1f0d481c9c533a16003c507d37ba16b0


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 15:25:43 2018 +0300

    # code improvement

(0074831)
git (administrator)
2018-03-23 15:29

Branch CR29631_2 has been created by nds.

SHA-1: 41ea50ac6fb91d9166b8ced9e195fdfe020144d3


Detailed log of new commits:

Author: nds
Date: Fri Mar 23 10:36:07 2018 +0300

    0029631: Samples: build AndroidQt sample together with OCCT on Windows platform
    
    - _WIN32 definition provides functionality for sample on Windows
    - CMake procedure is changed to have Qt5_FOUND variable defined before compilation modules. Searching of Qt packages is moved into qt.cmake.
(0074879)
git (administrator)
2018-03-24 20:01

Branch CR29631 has been deleted by kgv.

SHA-1: edd350f03d865e4846e2ff29b1caef044446045f
(0074880)
git (administrator)
2018-03-24 20:01

Branch CR29631_1 has been deleted by kgv.

SHA-1: 9828b74c1f0d481c9c533a16003c507d37ba16b0
(0074881)
git (administrator)
2018-03-24 20:01

Branch CR29631_2 has been deleted by kgv.

SHA-1: 41ea50ac6fb91d9166b8ced9e195fdfe020144d3

- Related Changesets
occt: master 41ea50ac
Timestamp: 2018-03-23 07:36:07
Author: nds
Details ] Diff ]
0029631: Samples: build AndroidQt sample together with OCCT on Windows platform

- _WIN32 definition provides functionality for sample on Windows
- CMake procedure is changed to have Qt5_FOUND variable defined before compilation modules. Searching of Qt packages is moved into qt.cmake.
mod - adm/cmake/qt.cmake Diff ] File ]
mod - adm/cmake/qt_macro.cmake Diff ] File ]
mod - adm/templates/sample.bat Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/qt/AndroidQt/res/qml/main.qml Diff ] File ]
mod - samples/qt/AndroidQt/src/AndroidQt.cxx Diff ] File ]
mod - samples/qt/AndroidQt/src/AndroidQt.h Diff ] File ]
mod - samples/qt/AndroidQt/src/AndroidQt_TouchParameters.cxx Diff ] File ]
mod - samples/qt/AndroidQt/src/AndroidQt_Window.cxx Diff ] File ]
mod - samples/qt/AndroidQt/src/Main.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-23 10:30 nds New Issue
2018-03-23 10:30 nds Assigned To => bugmaster
2018-03-23 10:30 nds Assigned To bugmaster => nds
2018-03-23 10:30 nds Status new => assigned
2018-03-23 10:36 git Note Added: 0074798
2018-03-23 11:07 kgv Note Added: 0074801
2018-03-23 11:11 git Note Added: 0074802
2018-03-23 11:56 git Note Added: 0074810
2018-03-23 11:57 nds Note Added: 0074811
2018-03-23 11:57 nds Assigned To nds => kgv
2018-03-23 11:57 nds Status assigned => resolved
2018-03-23 12:16 git Note Added: 0074813
2018-03-23 12:47 git Note Added: 0074816
2018-03-23 12:52 git Note Added: 0074817
2018-03-23 14:29 kgv Assigned To kgv => nds
2018-03-23 14:29 kgv Status resolved => assigned
2018-03-23 14:30 kgv Note Added: 0074824
2018-03-23 15:14 git Note Added: 0074827
2018-03-23 15:16 kgv Note Added: 0074828
2018-03-23 15:16 kgv Assigned To nds => bugmaster
2018-03-23 15:16 kgv Status assigned => resolved
2018-03-23 15:16 kgv Status resolved => reviewed
2018-03-23 15:25 git Note Added: 0074830
2018-03-23 15:29 git Note Added: 0074831
2018-03-24 11:51 nds Changeset attached => occt master 41ea50ac
2018-03-24 11:51 nds Assigned To bugmaster => nds
2018-03-24 11:51 nds Status reviewed => verified
2018-03-24 11:51 nds Resolution open => fixed
2018-03-24 20:01 git Note Added: 0074879
2018-03-24 20:01 git Note Added: 0074880
2018-03-24 20:01 git Note Added: 0074881
2018-03-25 18:02 apn Relationship added parent of 0029643
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker